package lab10_solutions;

import java.util.Comparator;



public class PhoneRec2 {

	private String name, surname; // Person's name: unique key for a PhoneRecord object
	private int phoneNum; // Person's phone number

	public PhoneRec2(String aName,String aSurname, int aPhoneNum) {
		name = aName;
		setSurname(aSurname);
		phoneNum = aPhoneNum;
	}

	public void setPhoneNum(int aPhoneNum) {
		phoneNum = aPhoneNum;
	}

	public String getName() {
		return name;
	}

	public int getPhoneNum() {
		return phoneNum;
	}

	public String toString() {
		return name + " " + surname+": "+phoneNum;
	}

	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}
	
	
	
	public class PhoneRecNameComp implements Comparator<PhoneRec2> {


		@Override
		public int compare(PhoneRec2 o1, PhoneRec2 o2) {
			
			return o1.getName().compareToIgnoreCase(o2.getName());
		
		}

	}
}
